org.apache.http.client.entity

## Class DecompressingEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.client.entity.DecompressingEntity

All Implemented Interfaces:
  org.apache.http.HttpEntity

Direct Known Subclasses:
  DeflateDecompressingEntity, GzipDecompressingEntity

    public class DecompressingEntity
    extends org.apache.http.entity.HttpEntityWrapper

Common base class for decompressing `HttpEntity` implementations.

Since:
  4.4

### Field Summary

### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

`wrappedEntity`

### Constructor Summary

Constructors
Constructor and Description
`DecompressingEntity(org.apache.http.HttpEntity wrapped, InputStreamFactory inputStreamFactory)` Creates a new `DecompressingEntity`.

### Method Summary

Methods
`InputStream` `getContent()`
`org.apache.http.Header` `getContentEncoding()`
`long` `getContentLength()`
`void` `writeTo(OutputStream outStream)`

### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

`consumeContent, getContentType, isChunked, isRepeatable, isStreaming`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecompressingEntity

    public DecompressingEntity(org.apache.http.HttpEntity wrapped,
                       InputStreamFactory inputStreamFactory)

Creates a new `DecompressingEntity`.

Parameters:
  `wrapped` - the non-null `HttpEntity` to be wrapped
  `inputStreamFactory` - factory to create decompressing stream.

### Method Detail

#### getContent

    public InputStream getContent()
                           throws IOException

Specified by:
  `getContent` in interface `org.apache.http.HttpEntity`
Overrides:
  `getContent` in class `org.apache.http.entity.HttpEntityWrapper`
Throws:
  `IOException`

#### writeTo

    public void writeTo(OutputStream outStream)
                 throws IOException

Specified by:
  `writeTo` in interface `org.apache.http.HttpEntity`
Overrides:
  `writeTo` in class `org.apache.http.entity.HttpEntityWrapper`
Throws:
  `IOException`

#### getContentEncoding

    public org.apache.http.Header getContentEncoding()

Specified by:
  `getContentEncoding` in interface `org.apache.http.HttpEntity`
Overrides:
  `getContentEncoding` in class `org.apache.http.entity.HttpEntityWrapper`

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `org.apache.http.HttpEntity`
Overrides:
  `getContentLength` in class `org.apache.http.entity.HttpEntityWrapper`